Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.editor.datamodel
Class SpotLightData

    java.lang.Object
      de.rico.editor.datamodel.AbstractLightData
          de.rico.editor.datamodel.PosLightData
              de.rico.editor.datamodel.SpotLightData

    public class SpotLightData

extends PosLightData

This class represents a spot light in the world editor' data model.

Author:
  Frank Bruns

Constructor Summary
`SpotLightData(Point3D pos, float rotX, float rotY, Color4f amb, Color4f diff, float cutOff, float exp, int lightNr)`

Method Summary
`float` | `getCutOff()` Returns the spot cutoff.
`float` | `getExponent()` Returns the spot exponent.
`float` | `getRotX()` Returns the spot light's rotation around the x-axis.
`float` | `getRotY()` Returns the spot light's rotation around the y-axis.

Methods inherited from class de.rico.editor.datamodel.PosLightData
`getPosition`

Methods inherited from class de.rico.editor.datamodel.AbstractLightData
`getAmb, getDiff, getLightNr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpotLightData

    public SpotLightData(Point3D pos,
                         float rotX,
                         float rotY,
                         Color4f amb,
                         Color4f diff,
                         float cutOff,
                         float exp,
                         int lightNr)

Method Detail

### getRotX

    public float getRotX()

  Returns the spot light's rotation around the x-axis.

  Returns:
    rotation around the x-axis

### getRotY

    public float getRotY()

  Returns the spot light's rotation around the y-axis.

  Returns:
    rotation around the y-axis

### getCutOff

    public float getCutOff()

  Returns the spot cutoff.

  Returns:
    spot cutOff

### getExponent

    public float getExponent()

  Returns the spot exponent.

  Returns:
    spot exponent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD